// pages/search/search.js
var myRequest = require("../../utils/api.js");
Page({

  /**
   * 页面的初始数据
   */
  data: {
    value: '',
    actionText: '',
    name: '',
    url: '',
    projectData: [],
    allData: [],
    CheckboxMax: [],
    defaultValue: [],

  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

    if (options.user) {
      let defaultValueuser = options.user.split(',').map(item => parseInt(item))

      this.setData({
        defaultValue: defaultValueuser,
        CheckboxMax: defaultValueuser
      })
      console.log(this.data.defaultValue)
    }
  },
  onCheckAllChange(e) {
    console.log(e)
    let checked = e.detail.checked
    let id = e.target.dataset.item
    let defaultValue = this.data.CheckboxMax
    if (checked) {
      defaultValue.push(id)
    } else {
      defaultValue = this.data.CheckboxMax.filter(item => id != item)
    }
    this.setData({
        defaultValue
      }

    )
  },
  actionHandle(){
    console.log(this.data.defaultValue)
  let dataMap = new Map()
    this.data.allData.forEach(element => {
      dataMap.set(element.id,element)
    });
   let returnData = this.data.defaultValue.map((item)=>{
      return dataMap.get(item)
   })

   var pages = getCurrentPages(); // 获取页面栈
   var currPage = pages[pages.length - 1]; // 当前页面
   var prevPage = pages[pages.length - 2]; // 上一个页面
 
   prevPage.setData({
    collaborator: returnData,
  
   })
   wx.navigateBack({
     delta: 1
   })
  

  },
  changeHandle(e) {
    const {
      value
    } = e.detail;

    let data = this.data.allData.filter(item => item.nickName.indexOf(value) !== -1)
    this.setData({
      projectData: data
    });

  },
  //获取项目下所有站点位置
  getProjectData() {
    var that = this;
    var url = this.data.url;
    myRequest.myRequest('renovationPlan/users', {

      userName: that.data.name,
    }, 'get').then(function (res) {
      that.setData({
        projectData: res.data.data,
        allData: res.data.data
      })
    }).catch(function (res) {
      console.log(res);
    })
  },
  toJump(e) {
    return

  },
  focusHandle() {
    this.setData({
      actionText: '取消',
    });
  },

  blurHandle() {
    this.setData({
      actionText: '',
    });
  },


  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.getProjectData();
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})